> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Deprovision Cluster Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/clusters/{cluster_id}/deprovision
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/deprovision:
    post:
      tags:
        - Cluster
      summary: Deprovision Cluster Endpoint
      operationId: >-
        deprovision_cluster_endpoint_api_v1_clusters__cluster_id__deprovision_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: query
          name: auto_delete
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Auto Delete
        - in: query
          name: force
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Force
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeprovisionClusterResult'
          description: Successful Response
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    DeprovisionClusterResult:
      properties:
        marked_for_deprovision_at:
          format: date-time
          title: Marked For Deprovision At
          type: string
      required:
        - marked_for_deprovision_at
      title: DeprovisionClusterResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````